package io.platform.base.common.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * Spring Context 工具类
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2016年11月29日 下午11:45:51
 */
@Component
public class SpringContextHolder implements ApplicationContextAware {
	public static ApplicationContext applicationContext;

	@Override
	public void setApplicationContext(ApplicationContext applicationContext)
			throws BeansException {
		SpringContextHolder.applicationContext = applicationContext;
		Logger logger = LoggerFactory.getLogger(SpringContextHolder.class);
	}

	public static Object getBean(String name) {
		 Logger logger = LoggerFactory.getLogger(SpringContextHolder.class);
		if(null!=applicationContext){
			return applicationContext.getBean(name);
		}else{
			return null;
		}

	}

	public static <T> T getBean(String name, Class<T> requiredType) {
		if(null!=applicationContext){
			return applicationContext.getBean(name, requiredType);
		}else{
			return null;
		}

	}

	public static boolean containsBean(String name) {
		return applicationContext.containsBean(name);
	}

	public static boolean isSingleton(String name) {
		return applicationContext.isSingleton(name);
	}

	public static Class<? extends Object> getType(String name) {
		return applicationContext.getType(name);
	}

}