
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.config.CloudStorageConfig;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysConfigDto;
import io.platform.sys.service.client.api.SysConfigServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysConfigServiceRemote")
public class SysConfigServiceRemote {

    @Reference(check = false)
    private SysConfigServiceClient sysConfigServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysConfigDto> getList(Map<String, Object> params){
        return sysConfigServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysConfigDto> getPage(Page<SysConfigDto> page, SysConfigDto sysConfigDto){
        return sysConfigServiceClient.getPage(page,sysConfigDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysConfigDto getOne(Long id){
        SysConfigDto sysConfigDto = sysConfigServiceClient.queryObject(id);
        return sysConfigDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysConfigDto sysConfigDto){

       return  sysConfigServiceClient.save(sysConfigDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysConfigDto sysConfigDto){

        return sysConfigServiceClient.update(sysConfigDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysConfigServiceClient.deleteBatch(ids);
    }


    public CloudStorageConfig getConfigObject(String cloudStorageConfigKey, Class<CloudStorageConfig> cloudStorageConfigClass) {
        return sysConfigServiceClient.getConfigObject(cloudStorageConfigKey,cloudStorageConfigClass);
    }

    public void updateValueByKey(String key, String value) {
        sysConfigServiceClient.updateValueByKey(key,value);
    }
}
