
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysFileDto;
import io.platform.sys.service.client.api.SysFileServiceClient;

import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysFileServiceRemote")
public class SysFileServiceRemote {

    @Reference(check = false)
    private SysFileServiceClient sysFileServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysFileDto> getList(Map<String, Object> params){
        return sysFileServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysFileDto> getPage(Page<SysFileDto> page, SysFileDto sysFileDto){
        return sysFileServiceClient.getPage(page,sysFileDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysFileDto getOne(Long id){
        SysFileDto sysFileDto = sysFileServiceClient.queryObject(id);
        return sysFileDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysFileDto sysFileDto){

       return  sysFileServiceClient.save(sysFileDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysFileDto sysFileDto){

        return sysFileServiceClient.update(sysFileDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysFileServiceClient.deleteBatch(ids);
    }




    /**
     * 根据参数进行 分页查询
     */
    public Page<SysFileDto> pageForAPK(Page<SysFileDto> page, SysFileDto sysFileDto){
        return sysFileServiceClient.pageForAPK(page,sysFileDto);
    }
}
