
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysLogDto;
import io.platform.sys.service.client.api.SysLogServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysLogServiceRemote")
public class SysLogServiceRemote {

    @Reference(check = false)
    private SysLogServiceClient sysLogServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysLogDto> getList(Map<String, Object> params) {
        return sysLogServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysLogDto> getPage(Page<SysLogDto> page, SysLogDto sysLogDto) {
        return sysLogServiceClient.getPage(page, sysLogDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysLogDto getOne(Long id) {
        SysLogDto sysLogDto = sysLogServiceClient.queryObject(id);
        return sysLogDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysLogDto sysLogDto) {

        return sysLogServiceClient.save(sysLogDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysLogDto sysLogDto) {

        return sysLogServiceClient.update(sysLogDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysLogServiceClient.deleteBatch(ids);
    }


}
