
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.base.common.utils.Query;
import io.platform.sys.dto.SysMenuDto;
import io.platform.sys.service.client.api.SysMenuServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysMenuServiceRemote")
public class SysMenuServiceRemote {

    @Reference(check = false)
    private SysMenuServiceClient sysMenuServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysMenuDto> getList(Map<String, Object> params) {
        Query query = new Query(params);
        return sysMenuServiceClient.queryList(query);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysMenuDto> getPage(Page<SysMenuDto> page, SysMenuDto sysMenuDto) {
        return sysMenuServiceClient.getPage(page, sysMenuDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysMenuDto getOne(Long id) {
        SysMenuDto sysMenuDto = sysMenuServiceClient.queryObject(id);
        return sysMenuDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysMenuDto sysMenuDto) {

        return sysMenuServiceClient.save(sysMenuDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysMenuDto sysMenuDto) {

        return sysMenuServiceClient.update(sysMenuDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysMenuServiceClient.deleteBatch(ids);
    }


    public List<SysMenuDto> getUserMenuList(Long userId) {
        return sysMenuServiceClient.getUserMenuList(userId);
    }

    public List<SysMenuDto> queryNotButtonList() {
        return sysMenuServiceClient.queryNotButtonList();
    }

    public List<SysMenuDto> queryListParentId(long menuId) {
        return sysMenuServiceClient.queryListParentId(menuId);
    }

    public void delete(long menuId) {
        sysMenuServiceClient.delete(menuId);
    }
}
