
package io.platform.sys.web.remote;
import com.alibaba.dubbo.config.annotation.Reference;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysMessageDto;
import io.platform.sys.service.client.api.SysMessageServiceClient;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysMessageServiceRemote")
public class SysMessageServiceRemote {

    @Reference(check = false)
    private SysMessageServiceClient sysMessageServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysMessageDto> getList(Map<String, Object> params){
        return sysMessageServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysMessageDto> getPage(Page<SysMessageDto> page, SysMessageDto sysMessageDto){
        return sysMessageServiceClient.getPage(page,sysMessageDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysMessageDto getOne(Long id){
        SysMessageDto sysMessageDto = sysMessageServiceClient.queryObject(id);
        return sysMessageDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysMessageDto sysMessageDto, String username, Long userId){

       return  sysMessageServiceClient.save(sysMessageDto,username,userId);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysMessageDto sysMessageDto){

        return sysMessageServiceClient.update(sysMessageDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysMessageServiceClient.deleteBatch(ids);
    }



}
