
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysMetaCityDto;
import io.platform.sys.service.client.api.SysMetaCityServiceClient;

import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysMetaCityServiceRemote")
public class SysMetaCityServiceRemote {

    @Reference(check = false)
    private SysMetaCityServiceClient sysMetaCityServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysMetaCityDto> getList(Map<String, Object> params){
        return sysMetaCityServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysMetaCityDto> getPage(Page<SysMetaCityDto> page,SysMetaCityDto sysMetaCityDto){
        return sysMetaCityServiceClient.getPage(page,sysMetaCityDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysMetaCityDto getOne(Long id){
        SysMetaCityDto sysMetaCityDto = sysMetaCityServiceClient.queryObject(id);
        return sysMetaCityDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysMetaCityDto sysMetaCityDto){

       return  sysMetaCityServiceClient.save(sysMetaCityDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysMetaCityDto sysMetaCityDto){

        return sysMetaCityServiceClient.update(sysMetaCityDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysMetaCityServiceClient.deleteBatch(ids);
    }



}
