
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysMetaProvinceDto;
import io.platform.sys.service.client.api.SysMetaProvinceServiceClient;

import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysMetaProvinceServiceRemote")
public class SysMetaProvinceServiceRemote {

    @Reference(check = false)
    private SysMetaProvinceServiceClient sysMetaProvinceServiceClient;
    /**
     * 根据参数获取列表  无分页
     */
    public List<SysMetaProvinceDto> getList(Map<String, Object> params){
        return sysMetaProvinceServiceClient.queryList(params);
    }
    /**
     * 根据参数进行 分页查询
     */
    public Page<SysMetaProvinceDto> getPage(Page<SysMetaProvinceDto> page,SysMetaProvinceDto sysMetaProvinceDto){
        return sysMetaProvinceServiceClient.getPage(page,sysMetaProvinceDto);
    }
    /**
     * 根据主键 获取单条数据明细
     */
    public SysMetaProvinceDto getOne(Long id){
        SysMetaProvinceDto sysMetaProvinceDto = sysMetaProvinceServiceClient.queryObject(id);
        return sysMetaProvinceDto;
    }
    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysMetaProvinceDto sysMetaProvinceDto){

       return  sysMetaProvinceServiceClient.save(sysMetaProvinceDto);
    }
    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysMetaProvinceDto sysMetaProvinceDto){

        return sysMetaProvinceServiceClient.update(sysMetaProvinceDto);
    }
    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids){
        return  sysMetaProvinceServiceClient.deleteBatch(ids);
    }


    public  Object getProvinceAndCity() {
        return this.sysMetaProvinceServiceClient.getProvinceAndCity();
    }
}
