
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysRoleMenuDto;
import io.platform.sys.service.client.api.SysRoleMenuServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysRoleMenuServiceRemote")
public class SysRoleMenuServiceRemote {

    @Reference(check = false)
    private SysRoleMenuServiceClient sysRoleMenuServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysRoleMenuDto> getList(Map<String, Object> params) {
        return sysRoleMenuServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysRoleMenuDto> getPage(Page<SysRoleMenuDto> page, SysRoleMenuDto sysRoleMenuDto) {
        return sysRoleMenuServiceClient.getPage(page, sysRoleMenuDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysRoleMenuDto getOne(Long id) {
        SysRoleMenuDto sysRoleMenuDto = sysRoleMenuServiceClient.queryObject(id);
        return sysRoleMenuDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysRoleMenuDto sysRoleMenuDto) {

        return sysRoleMenuServiceClient.save(sysRoleMenuDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysRoleMenuDto sysRoleMenuDto) {

        return sysRoleMenuServiceClient.update(sysRoleMenuDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysRoleMenuServiceClient.deleteBatch(ids);
    }


}
