
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.base.common.utils.ShiroUtils;
import io.platform.sys.dto.SysRoleDto;
import io.platform.sys.service.client.api.SysRoleServiceClient;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysRoleServiceRemote")
public class SysRoleServiceRemote {

    @Reference(check = false)
    private SysRoleServiceClient sysRoleServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysRoleDto> getList(Map<String, Object> params) {

        return sysRoleServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysRoleDto> getPage(Page<SysRoleDto> page, SysRoleDto sysRoleDto) {
        return sysRoleServiceClient.getPage(page, sysRoleDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysRoleDto getOne(Long id) {
        SysRoleDto sysRoleDto = sysRoleServiceClient.queryObject(id);
        return sysRoleDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysRoleDto sysRoleDto) {
        sysRoleDto.setCreateTime(new Date());
        sysRoleDto.setCreateUserId(ShiroUtils.getUserId());
        return sysRoleServiceClient.save(sysRoleDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysRoleDto sysRoleDto) {

        return sysRoleServiceClient.update(sysRoleDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysRoleServiceClient.deleteBatch(ids);
    }


}
