
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysSmsLogDto;
import io.platform.sms.SysSmsLogServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysSmsLogServiceRemote")
public class SysSmsLogServiceRemote {

    @Reference(check = false)
    private SysSmsLogServiceClient sysSmsLogServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysSmsLogDto> getList(Map<String, Object> params) {
        return sysSmsLogServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysSmsLogDto> getPage(Page<SysSmsLogDto> page, SysSmsLogDto sysSmsLogDto) {
        return sysSmsLogServiceClient.getPage(page, sysSmsLogDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysSmsLogDto getOne(Long id) {
        SysSmsLogDto sysSmsLogDto = sysSmsLogServiceClient.queryObject(id);
        return sysSmsLogDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysSmsLogDto sysSmsLogDto) {

        return sysSmsLogServiceClient.save(sysSmsLogDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysSmsLogDto sysSmsLogDto) {

        return sysSmsLogServiceClient.update(sysSmsLogDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysSmsLogServiceClient.deleteBatch(ids);
    }


}
