
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysUserRoleDto;
import io.platform.sys.service.client.api.SysUserRoleServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("sysUserRoleServiceRemote")
public class SysUserRoleServiceRemote {

    @Reference(check = false)
    private SysUserRoleServiceClient sysUserRoleServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<SysUserRoleDto> getList(Map<String, Object> params) {
        return sysUserRoleServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<SysUserRoleDto> getPage(Page<SysUserRoleDto> page, SysUserRoleDto sysUserRoleDto) {
        return sysUserRoleServiceClient.getPage(page, sysUserRoleDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public SysUserRoleDto getOne(Long id) {
        SysUserRoleDto sysUserRoleDto = sysUserRoleServiceClient.queryObject(id);
        return sysUserRoleDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(SysUserRoleDto sysUserRoleDto) {

        return sysUserRoleServiceClient.save(sysUserRoleDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(SysUserRoleDto sysUserRoleDto) {

        return sysUserRoleServiceClient.update(sysUserRoleDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return sysUserRoleServiceClient.deleteBatch(ids);
    }


    public List<Long> queryRoleIdList(Long userId) {
        return sysUserRoleServiceClient.queryRoleIdList(userId);
    }
}
