
package io.platform.sys.web.remote;

import com.alibaba.dubbo.config.annotation.Reference;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.TbUserDto;
import io.platform.sys.service.client.api.TbUserServiceClient;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Created by sevelli on 2017/8/31.
 */
@Service("tbUserServiceRemote")
public class TbUserServiceRemote {

    @Reference(check = false)
    private TbUserServiceClient tbUserServiceClient;

    /**
     * 根据参数获取列表  无分页
     */
    public List<TbUserDto> getList(Map<String, Object> params) {

        return tbUserServiceClient.queryList(params);
    }

    /**
     * 根据参数进行 分页查询
     */
    public Page<TbUserDto> getPage(Page<TbUserDto> page, TbUserDto tbUserDto) {
        return tbUserServiceClient.getPage(page, tbUserDto);
    }

    /**
     * 根据主键 获取单条数据明细
     */
    public TbUserDto getOne(Long id) {
        TbUserDto tbUserDto = tbUserServiceClient.queryObject(id);
        return tbUserDto;
    }

    /**
     * 保存 数据
     */
    public ExecuteResult<String> save(TbUserDto tbUserDto) {

        return tbUserServiceClient.save(tbUserDto);
    }

    /**
     * 修改单条数据
     */
    public ExecuteResult<String> update(TbUserDto tbUserDto) {

        return tbUserServiceClient.update(tbUserDto);
    }

    /**
     * 批量删除
     */
    public ExecuteResult<String> deleteBatch(List<Long> ids) {
        return tbUserServiceClient.deleteBatch(ids);
    }


}
