package io.platform.base.common.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.SpringContextHolder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * Controller公共组件
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2016年11月9日 下午9:42:26
 */
public abstract class AbstractController {
    @Autowired
    private HttpServletRequest request;

    private RedisTemplate redisTemplate = (RedisTemplate) SpringContextHolder.getBean("redisTemplate");
    protected Logger logger = LoggerFactory.getLogger(getClass());
/**
    protected SysUserInfoDto getUser() {
        if(redisTemplate==null){
            redisTemplate = (RedisTemplate) SpringContextHolder.getBean("redisTemplate");
        }
        return (SysUserInfoDto) redisTemplate.opsForValue().get(getToken());
    }
    protected String getToken(){
        return request.getHeader("token");
    }
    protected Integer getUserId() {
        return getUser().getRowId();
    }
 **/
    protected void convertQuery(Map params, Page page) {
        //分页参数
        int curPage = Integer.parseInt((params.get("pageNo") == null ? "1" : params.get("pageNo").toString()));
        params.remove("pageNo");
        int limit = Integer.parseInt(params.get("pageSize") == null ? "10" : params.get("pageSize").toString());
        params.remove("pageSize");
        //防止SQL注入（因为sidx、order是通过拼接SQL实现排序的，会有SQL注入风险）
        String sidx = params.get("sidx") == null ? "" : params.get("sidx").toString();
        params.remove("sidx");
        String order = params.get("order") == null ? "" : params.get("order").toString();
        params.remove("order");
        page.setCurrent(curPage);
//        page.setOrderByField(sidx);
//        page.setAsc("asc".equals(order));
        page.setSize(limit);
        page.condition().putAll(params);

    }
}
