package io.platform.base.common.utils;

import com.alibaba.fastjson.JSONObject;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;


public class WeixinUtil {

	
	/**
	  *  获取微信二维码
	  */
	 public static String get_weixin_code(String filePath,String fileName,String HR_ID,String page){
		try{
           //  写死的access_token
			String access_token = "";
			if(access_token == ""){
				access_token = get_access_token();
			}
			//  需要的码较少的情景
			String url = "https://api.weixin.qq.com/wxa/getwxacodeunlimit?access_token="+access_token;
			//  发送的参数
			JSONObject postData = new JSONObject();
			//  token
			//   scene最大32个可见字符，只支持数字
			postData.put("scene", HR_ID);
//			//   page已经发布的小程序存在的页面
			postData.put("page", page);//"user/pages/goSeekList/goSeekList"
//			//   scene_id 场景值id
//			postData.put("scene_id",100);
			//   
			URL get_token_url = new URL(url);
			HttpURLConnection conn = (HttpURLConnection) get_token_url.openConnection();
           conn.setRequestMethod("POST");
           conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
           conn.setRequestProperty("Connection", "Keep-Alive");
           conn.setUseCaches(false);
           conn.setDoOutput(true);
           OutputStreamWriter out = new OutputStreamWriter(conn.getOutputStream(), "UTF-8");
           out.write(postData.toString());
           out.flush();
           out.close();
           //获取响应状态
           if (conn.getResponseCode() != HttpURLConnection.HTTP_OK) {
               System.out.println("connect failed!");
               return "";
           }
         return  FileUpload.copyFile( conn.getInputStream(), filePath, fileName);
		}catch (Exception e){
			e.printStackTrace(System.out);
		}
		return "";		 
	}
	
	 //===================================================================================================================
	 /**
	  *  获取二维码的access_token
	  * @throws IOException 
	  * @param{appid,appselect}
	  */
	 public static String get_access_token() {
		 try{
		 String appid = "wxf5c63d81bcc1f0e5";
		 String appSelect = "d359647b6a30830ede20c860a917acbd";
		 String grant_type = "client_credential";
		 String Url = "https://api.weixin.qq.com/cgi-bin/token";
		 String postData = "grant_type=" + grant_type + "&secret=" + appSelect + "&appid=" + appid;
		 URL get_token_url = new URL(Url);
		 HttpURLConnection conn = (HttpURLConnection) get_token_url.openConnection();
        conn.setRequestMethod("POST");
        conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
        conn.setRequestProperty("Connection", "Keep-Alive");
        conn.setUseCaches(false);
        conn.setDoOutput(true);
        OutputStreamWriter out = new OutputStreamWriter(conn.getOutputStream(), "UTF-8");
        out.write(postData);
        out.flush();
        out.close();
        //获取响应状态
        if (conn.getResponseCode() != HttpURLConnection.HTTP_OK) {
            System.out.println("connect failed!");
        }
        //获取响应内容体
        String line, result = "";
        BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
        while ((line = in.readLine()) != null) {
            result += line + "\n";
        }
        in.close();  
        System.out.println("access" + result);
			 return JSONObject.parseObject(result).get("access_token").toString();
		 }catch(IOException e){
			 
		 }
	   return "";
	}
	/**
	 *  获取ticket
	 */
	public static String get_weixin_ticket(){
		BufferedReader in = null;
		try{
			//  写死的access_token
			String access_token = "";
			if(access_token == ""){
				access_token = get_access_token();
			}

			//  需要的码较少的情景
			//String url = "https://api.weixin.qq.com/wxa/getwxacodeunlimit?access_token="+access_token;
			String url ="https://api.weixin.qq.com/cgi-bin/ticket/getticket?access_token=+"+access_token+"&type=jsapi";
			URL get_token_url = new URL(url);
			HttpURLConnection conn = (HttpURLConnection) get_token_url.openConnection();
			conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			conn.setRequestProperty("Connection", "Keep-Alive");
			conn.setUseCaches(false);
			conn.setDoOutput(true);
			// 定义 BufferedReader输入流来读取URL的响应
			in = new BufferedReader(new InputStreamReader(
					conn.getInputStream()));
			String line , result="";
			while ((line = in.readLine()) != null) {
				result += line;
			}

			//获取响应状态
			if (conn.getResponseCode() != HttpURLConnection.HTTP_OK) {
				System.out.println("connect failed!");
				return "";
			}
			System.out.println("ticket" + result);
			return JSONObject.parseObject(result).get("ticket").toString();

		}catch (Exception e){
			e.printStackTrace(System.out);
		}
		finally {
			try {
				if (in != null) {
					in.close();
				}
			} catch (Exception e2) {
				e2.printStackTrace();
			}
		}
		return "";
	}
	/**
	 *  获取openId
	 */
	public static String get_weixin_openid(String code){
		BufferedReader in = null;
		try{
			String appid = "wxf5c63d81bcc1f0e5";
			String appSelect = "d359647b6a30830ede20c860a917acbd";
			String url ="https://api.weixin.qq.com/sns/oauth2/access_token?appid="+appid+"&secret="+appSelect+"&code="+code+"&grant_type=authorization_code";
			URL get_token_url = new URL(url);
			HttpURLConnection conn = (HttpURLConnection) get_token_url.openConnection();
			conn.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			conn.setRequestProperty("Connection", "Keep-Alive");
			conn.setUseCaches(false);
			conn.setDoOutput(true);
			// 定义 BufferedReader输入流来读取URL的响应
			in = new BufferedReader(new InputStreamReader(
					conn.getInputStream()));
			String line , result="";
			while ((line = in.readLine()) != null) {
				result += line;
			}

			//获取响应状态
			if (conn.getResponseCode() != HttpURLConnection.HTTP_OK) {
				System.out.println("connect failed!");
				return "";
			}
			System.out.println("openid" + result);
			return JSONObject.parseObject(result).get("openid").toString();

		}catch (Exception e){
			e.printStackTrace(System.out);
		}
		finally {
			try {
				if (in != null) {
					in.close();
				}
			} catch (Exception e2) {
				e2.printStackTrace();
			}
		}
		return "";
	}
	public static void main(String[] args) {
		//get_access_token();
		//get_weixin_ticket();
		get_weixin_openid("011rVMLP1pp1v21BJNKP1anwLP1rVML1");
	}
}
