package io.platform.config.header;

import io.platform.base.common.exception.RRException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.HashMap;
import java.util.Map;

@ControllerAdvice
public class ExceptionHeader {

    @ExceptionHandler(RRException.class)
    @ResponseBody
    public Map<String, Object> handleHttpException(RRException e){
        Map<String, Object> map = new HashMap<>();
        map.put("code", e.getCode());
        map.put("message", e.getMessage());
        return map;
    }


}
