package io.platform.base.common;

import io.platform.base.common.utils.CopySpecialProperties;
import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by sevelli on 2017/9/7.
 */
public class BaseServiceClient<T,K> {
    /**
     * domain转DTO
     * @param source source object
     * @param target target object
     */
    protected void convert(T source,K target){
        if (source!=null){
            try {
                CopySpecialProperties.copyBeanToBean(source, target);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }

    }

    /**
     * DTO转domain
     * @param source
     * @param target
     */
    protected void revert(K source,T target){
        if (source!=null){
            try {
                CopySpecialProperties.copyBeanToBean(source, target,false);
            } catch (Exception e) {
                e.printStackTrace();
            }

        }
    }
    /**
     * copy properties from source to target
     * @param sourceList source object list
     * @param claz target class
     * @return
     */
    protected List<K> convertList(List<T> sourceList,Class<K> claz){
        if (sourceList!=null){
            List targetList = new ArrayList();
            sourceList.forEach(t->{
                try {
                    K obj = claz.newInstance();
                    BeanUtils.copyProperties(t,obj);
                    targetList.add(obj);
                } catch (InstantiationException e) {
                    e.printStackTrace();
                } catch (IllegalAccessException e) {
                    e.printStackTrace();
                }
            });
            return targetList;
        }else{
            return null;
        }
    }

}
