package io.platform.base.common.push;


import cn.jiguang.common.resp.APIConnectionException;
import cn.jiguang.common.resp.APIRequestException;
import cn.jpush.api.JPushClient;
import cn.jpush.api.push.PushResult;
import cn.jpush.api.push.model.PushPayload;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class JpushAgentUtil {
    private static String KEY = "18f99fb1502ccbf295fba552";
    private static String SECRET = "175106076b6aaacbd12292b3";
    private static JPushClient client;
    private static PushPayload payload;

    public JpushAgentUtil(String KEY, String SECRET) {
        JpushAgentUtil.KEY = KEY;
        JpushAgentUtil.SECRET = SECRET;
    }

    public static void init() {
        client = new JPushClient(SECRET, KEY);
    }

    public static Map<String, Object> toSendAll(String content) {
        init();
        Map<String, Object> map = new HashMap();
        int nstatus = 0;
        String code = "";
        String message = "";

        try {
            payload = com.yhjz.platform.utils.PushPayloadUtil.sendAll(content);
            client.sendPush(payload);
        } catch (APIConnectionException var6) {
            nstatus = 1;
            code = "1";
            message = "连接失败！";
        } catch (APIRequestException var7) {
            nstatus = 2;
            code = var7.getErrorCode() + "";
            message = var7.getErrorMessage();
        }

        map.put("nstatus", Integer.valueOf(nstatus));
        map.put("code", code);
        map.put("message", message);
        return map;
    }

    public static Map<String, Object> toSendOneUser(String userid, String content, String title, Map<String, String> extras) {
        init();
        Map<String, Object> map = new HashMap();
        int nstatus = 0;
        String code = "";
        String message = "";

        try {
            payload = com.yhjz.platform.utils.PushPayloadUtil.sendUserId(userid, content, title, extras);
            PushResult r = client.sendPush(payload);
            System.out.println(r);
        } catch (APIConnectionException var9) {
            nstatus = 1;
            code = "1";
            message = "连接失败！";
        } catch (APIRequestException var10) {
            nstatus = 2;
            code = var10.getErrorCode() + "";
            message = var10.getErrorMessage();
        }

        map.put("nstatus", Integer.valueOf(nstatus));
        map.put("code", code);
        map.put("message", message);
        return map;
    }

    public static Map<String, Object> toSendUserList(List<String> list, String content, String title, Map<String, String> extras) {
        init();
        Map<String, Object> map = new HashMap();
        int nstatus = 0;
        String code = "";
        String message = "";

        try {
            payload = com.yhjz.platform.utils.PushPayloadUtil.sendUserList(list, content, title, extras);
            client.sendPush(payload);
        } catch (APIConnectionException var9) {
            nstatus = 1;
            code = "1";
            message = "连接失败！";
        } catch (APIRequestException var10) {
            nstatus = 2;
            code = var10.getErrorCode() + "";
            message = var10.getErrorMessage();
        }

        map.put("nstatus", Integer.valueOf(nstatus));
        map.put("code", code);
        map.put("message", message);
        return map;
    }

    public static void main(String[] args) {
        init();
        payload = PushPayloadUtil.buildPushObject_iosAnAndroid_tagAnd_alertWithExtrasAndMessage();

        try {
            PushResult lt = client.sendPush(payload);
            System.out.println(lt.toString());
        } catch (APIConnectionException var2) {
            var2.printStackTrace();
        } catch (APIRequestException var3) {
            var3.printStackTrace();
        }

    }
}