package io.platform.base.common.push;

import cn.jpush.api.push.model.Message;
import cn.jpush.api.push.model.Options;
import cn.jpush.api.push.model.Platform;
import cn.jpush.api.push.model.PushPayload;
import cn.jpush.api.push.model.audience.Audience;
import cn.jpush.api.push.model.audience.AudienceTarget;
import cn.jpush.api.push.model.notification.AndroidNotification;
import cn.jpush.api.push.model.notification.IosNotification;
import cn.jpush.api.push.model.notification.Notification;
import cn.jpush.api.push.model.notification.AndroidNotification.Builder;
import java.util.List;
import java.util.Map;
public class PushPayloadUtil {
    public PushPayloadUtil() {
    }

    public static PushPayload sendAll(String content) {
        return PushPayload.alertAll(content);
    }

    public static PushPayload sendUserId(String userid, String content, String title, Map<String, String> extras) {
        return PushPayload.newBuilder().setPlatform(Platform.all()).setAudience(Audience.alias(new String[]{userid})).setNotification(Notification.android(content, title, extras)).build();
    }

    public static PushPayload sendUserList(List<String> list, String content, String title, Map<String, String> extras) {
        return PushPayload.newBuilder().setPlatform(Platform.all()).setAudience(Audience.alias(list)).setNotification(Notification.android(content, title, extras)).build();
    }

    public static PushPayload sendUserType(String content, String usertype, String title) {
        return PushPayload.newBuilder().setPlatform(Platform.android()).setAudience(Audience.tag(new String[]{usertype})).setNotification(Notification.android(content, title, (Map)null)).build();
    }

    public static PushPayload sendClass(String content, String classid, String title) {
        return PushPayload.newBuilder().setPlatform(Platform.android()).setAudience(Audience.tag(new String[]{"classid" + classid})).setNotification(Notification.android(content, title, (Map)null)).build();
    }

    public static PushPayload buildPushObject_ios_tagAnd_alertWithExtrasAndMessage() {
        return PushPayload.newBuilder().setPlatform(Platform.all()).setAudience(Audience.all()).setNotification(Notification.newBuilder().addPlatformNotification(((Builder)AndroidNotification.newBuilder().setAlert("").addExtra("param", "")).build()).addPlatformNotification(((cn.jpush.api.push.model.notification.IosNotification.Builder) IosNotification.newBuilder().setAlert("").autoBadge().addExtra("param", "")).build()).build()).setMessage(Message.content("5566")).setOptions(Options.newBuilder().setApnsProduction(true).build()).build();
    }

    public static PushPayload buildPushObject_iosAnAndroid_tagAnd_alertWithExtrasAndMessage() {
        return PushPayload.newBuilder().setPlatform(Platform.all()).setAudience(Audience.alias(new String[]{"1521268152", ""})).setNotification(Notification.newBuilder().addPlatformNotification(((Builder) AndroidNotification.newBuilder().setAlert("CCC").addExtra("from", "JPush")).build()).addPlatformNotification(((cn.jpush.api.push.model.notification.IosNotification.Builder)IosNotification.newBuilder().setAlert("").addExtra("", "")).build()).build()).setMessage(Message.content("7788")).setOptions(Options.newBuilder().setApnsProduction(true).build()).build();
    }

    public static PushPayload buildPushObject_ios_audienceMore_messageWithExtras() {
        return PushPayload.newBuilder().setPlatform(Platform.android_ios()).setAudience(Audience.newBuilder().addAudienceTarget(AudienceTarget.tag(new String[]{"tag1", "tag2"})).addAudienceTarget(AudienceTarget.alias(new String[]{"alias1", "alias2"})).build()).setMessage(Message.newBuilder().setMsgContent("").addExtra("from", "JPush").build()).build();
    }
}