package io.platform.base.common.sms;

import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONObject;

import java.util.HashMap;
import java.util.Map;

/**
 * 赛轮短信平台对接
 */
public class SailunSmsUtil {
    //token=string&phone=string&sign=string&type=string&sms=string

    /**
     * 发登录验证码
     * @param mobile
     * @param content
     * @return
     */
    public static String smsLoginCode(String mobile,Integer content){
        Map params =  getCommonParam();
        params.put("phone",mobile);
        params.put("type",SailunSmsConstant.SMS_QDAPP_LOGIN_CODE);

        JSONObject jsonObject = new JSONObject();
        jsonObject.append("code",content);
        params.put("sms",jsonObject.toString());

        return send(params);
    }

    /**
     * 发注册验证码
     * @param mobile
     * @param content
     * @return
     */
    public static String smsRegistCode(String mobile,Integer content){
        Map params =  getCommonParam();
        params.put("phone",mobile);
        params.put("type",SailunSmsConstant.SMS_QDAPP_REGISTER_CODE);
        JSONObject jsonObject = new JSONObject();
        jsonObject.append("code",content);
        params.put("sms",jsonObject.toString());

        return send(params);
    }

    /**
     * 注册成功
     * @param mobile
     * @param content
     * @return
     */
    public static String smsRegistSuccessName(String mobile,String content){
        Map params =  getCommonParam();
        params.put("phone",mobile);
        params.put("type",SailunSmsConstant.SMS_QDAPP_REGIST_SUCCESS_CODE);
        JSONObject jsonObject = new JSONObject();
        jsonObject.putOnce("name",content);
        params.put("sms",jsonObject.toString());

        return send(params);
    }

    /**
     * 注册失败
     * @param mobile
     * @param content
     * @return
     */
    public static String smsRegistFailedName(String mobile,String content){
        Map params =  getCommonParam();
        params.put("phone",mobile);
        params.put("type",SailunSmsConstant.SMS_QDAPP_REGIST_REJECT_CODE);
        JSONObject jsonObject = new JSONObject();
        jsonObject.putOnce("name",content);
        params.put("sms",jsonObject.toString());

        return send(params);
    }

    /**
     * 修改手机
     * @param mobile
     * @param content
     * @return
     */
    public static String smsChangeMobileCode(String mobile,Integer content){
        Map params =  getCommonParam();
        params.put("phone",mobile);
        params.put("type",SailunSmsConstant.SMS_QDXCX_CHANGE_MOBILE_CODE);
        JSONObject jsonObject = new JSONObject();
        jsonObject.append("code",content);
        params.put("sms",jsonObject.toString());

        return send(params);
    }
    private static String send(Map params){
        return HttpUtil.post(SailunSmsConstant.SMS_SERVER_IP,params);
    }
    private static Map getCommonParam(){
        Map params = new HashMap();
        params.put("token",SailunSmsConstant.SMS_TOKEN);
        params.put("sign",SailunSmsConstant.SMS_SIGN);
        params.put("type",SailunSmsConstant.SMS_TOKEN);
        return params;
    }

    public static void main(String[] args) {
        String ret = smsLoginCode("18661698061",6677);
//        String ret = smsRegistSuccessName("18661698061","测试店");
        System.out.println(ret);

        System.out.println(ret.indexOf("true"));
    }

}
