package io.platform.base.common.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 日期处理
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2016年12月21日 下午12:53:33
 */
public class DateUtils {


    public final static String DATE_TIME_PATTERN_T = "yyyy-MM-ddTHH:mm:sssZ";
    private final static SimpleDateFormat sdfORDERTime = new SimpleDateFormat("yyyyMMddHHmmss");

	/** 时间格式(yyyy-MM-dd) */
	public final static String DATE_PATTERN = "yyyy-MM-dd";
	/** 时间格式(yyyy-MM-dd HH:mm:ss) */
	public final static String DATE_TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

	public static String format(Date date) {
        return format(date, DATE_PATTERN);
    }

    public static String format(Date date, String pattern) {
        if(date != null){
            SimpleDateFormat df = new SimpleDateFormat(pattern);
            return df.format(date);
        }
        return null;
    }

    public static Date getBeginDateTime(String dateStr) {
        //截取 年月日 拼接 时分秒
        String hoursStr = " 00:00:00";
        SimpleDateFormat sdf = new SimpleDateFormat(DATE_TIME_PATTERN);
        try {
            return sdf.parse(dateStr + hoursStr);
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static Date getEndDateTime(String dateStr) {
        //截取 年月日 拼接 时分秒
        String hoursStr = " 23:59:59";
        SimpleDateFormat sdf = new SimpleDateFormat(DATE_TIME_PATTERN);
        try {
            return sdf.parse(dateStr + hoursStr);
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String getDateStr(Date date) {
        if (date == null) {
            date = new Date();
        }
        SimpleDateFormat sdf = new SimpleDateFormat(DATE_PATTERN);
        return sdf.format(date);
    }
    /**
     * 获取一个用于订单号的时间拼接
     * @return
     */
    public static String getsdfORDERTime() {
        return sdfORDERTime.format(new Date());
    }
}
