
package io.platform.sms;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysSmsLogDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysSmsLogServiceClient {
    /**
     * 根据ID 查询单个对象
     */
    SysSmsLogDto queryObject(Long id);

    /**
     * 根据参数查询 列表  无分页
     */
    List<SysSmsLogDto> queryList(Map<String, Object> map);

    /**
     * 根据参数查询 对应参数的 集合大小
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存对象
     */
    ExecuteResult<String> save(SysSmsLogDto sysSmsLogDto);

    /**
     * 更新对象
     */
    ExecuteResult<String> update(SysSmsLogDto sysSmsLogDto);

    /**
     * 根据主键 删除对象
     */
    ExecuteResult<String> delete(Long id);

    /**
     * 根据主键集合 批量删除
     */
    ExecuteResult<String> deleteBatch(List<Long> idList);

    /**
     * 根据分页参数 获取 分页集合
     */
    Page<SysSmsLogDto> getPage(Page<SysSmsLogDto> page, SysSmsLogDto sysSmsLogDto);

    /**
     * 发送验证码
     *
     * @param sysSmsLogDto
     * @return
     */
    ExecuteResult<String> sendSms(SysSmsLogDto sysSmsLogDto);

    /**
     * 判断验证码是否正确
     * @param sysSmsLogDto
     * @return
     */
    Boolean checkValidCode(SysSmsLogDto sysSmsLogDto);
}
