
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysConfigDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysConfigServiceClient {
        /**
         * 根据ID 查询单个对象
         */
    SysConfigDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
    List<SysConfigDto> queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
    int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
    ExecuteResult<String> save(SysConfigDto sysConfigDto);
        /**
         * 更新对象
         */
    ExecuteResult<String> update(SysConfigDto sysConfigDto);
        /**
         * 根据主键 删除对象
         */
    ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
    ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
    Page<SysConfigDto> getPage(Page<SysConfigDto> page, SysConfigDto sysConfigDto);
    /**
     * 根据key获取value
     */
    String queryValue(String key);

    /**
     * 根据key，更新value
     */
    public void updateValueByKey(String key, String value);

    /**
     * 根据key，获取value的Object对象
     * @param key    key
     * @param clazz  Object对象
     */
    public <T> T getConfigObject(String key, Class<T> clazz);

    /**
     * 根据key，获取配置的value值
     *
     * @param key           key
     */
    public String getValue(String key);

    SysConfigDto getByKey(String one_tyres_integral);
}
