
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysRoleMenuDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysRoleMenuServiceClient {
        /**
         * 根据ID 查询单个对象
         */
    SysRoleMenuDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
    List<SysRoleMenuDto> queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
    int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
    ExecuteResult<String> save(SysRoleMenuDto sysRoleMenuDto);
        /**
         * 更新对象
         */
    ExecuteResult<String> update(SysRoleMenuDto sysRoleMenuDto);
        /**
         * 根据主键 删除对象
         */
    ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
    ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
    Page<SysRoleMenuDto> getPage(Page<SysRoleMenuDto> page, SysRoleMenuDto sysRoleMenuDto);
    void saveOrUpdate(Long roleId, List<Long> menuIdList);

    /**
     * 根据角色ID，获取菜单ID列表
     */
    List<Long> queryMenuIdList(Long roleId);

    /**
     * 根据角色ID数组，批量删除
     */
    int deleteBatchByRoleIds(Long[] roleIds);
}
