
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysUserRoleDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysUserRoleServiceClient {
        /**
         * 根据ID 查询单个对象
         */
    SysUserRoleDto queryObject(Long id);
        /**
         * 根据参数查询 列表  无分页
         */
    List<SysUserRoleDto> queryList(Map<String, Object> map);
        /**
         * 根据参数查询 对应参数的 集合大小
         */
    int queryTotal(Map<String, Object> map);
        /**
         * 保存对象
         */
    ExecuteResult<String> save(SysUserRoleDto sysUserRoleDto);
        /**
         * 更新对象
         */
    ExecuteResult<String> update(SysUserRoleDto sysUserRoleDto);
        /**
         * 根据主键 删除对象
         */
    ExecuteResult<String> delete(Long id);
        /**
         * 根据主键集合 批量删除
         */
    ExecuteResult<String> deleteBatch(List<Long> idList);
        /**
         * 根据分页参数 获取 分页集合
         */
    Page<SysUserRoleDto> getPage(Page<SysUserRoleDto> page, SysUserRoleDto sysUserRoleDto);

    List<Long> queryRoleIdList(Long userId);

    SysUserRoleDto queryObjectByUserId(Long id);
}
