
package io.platform.sys.service.client.api;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.ExecuteResult;
import io.platform.sys.dto.SysUserDto;

import java.util.List;
import java.util.Map;

/**
 * Created by sevelli on 2017/8/31.
 */
public interface SysUserServiceClient {
    /**
     * 根据ID 查询单个对象
     */
    SysUserDto queryObject(Long id);

    /**
     * 根据参数查询 列表  无分页
     */
    List<SysUserDto> queryList(Map<String, Object> map);

    /**
     * 根据参数查询 对应参数的 集合大小
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存对象
     */
    ExecuteResult<String> save(SysUserDto sysUserDto);

    /**
     * 更新对象
     */
    ExecuteResult<String> update(SysUserDto sysUserDto);

    /**
     * 根据主键 删除对象
     */
    ExecuteResult<String> delete(Long id);

    /**
     * 根据主键集合 批量删除
     */
    ExecuteResult<String> deleteBatch(List<Long> idList);

    /**
     * 根据分页参数 获取 分页集合
     */
    Page<SysUserDto> getPage(Page<SysUserDto> page, SysUserDto sysUserDto);

    SysUserDto selectByUserName(String username);

    /**
     * 修改密码
     *
     * @param userId      用户ID
     * @param password    原密码
     * @param newPassword 新密码
     */
    boolean updatePassword(Long userId, String password, String newPassword);

    /**
     * 查询用户的所有权限
     *
     * @param userId 用户ID
     */
    List<String> queryAllPerms(Long userId);

    /**
     * 查询用户的所有菜单ID
     */
    List<Long> queryAllMenuId(Long userId);
}
