package io.platform.basedata.common;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.platform.base.common.utils.SpringContextHolder;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.util.ReflectionUtils;

import java.lang.reflect.Method;

/**
 * 反射调用
 *
 * @author shilc 2016-05-21
 */

public class ReflectMethod {
    private static Logger logger = LoggerFactory.getLogger(ReflectMethod.class);

    /**
     * 反射调用方法
     *
     * @param ClazzName  类名
     * @param MethodName 方法名
     * @param params     字符串参数
     * @return
     */
    @SuppressWarnings("unchecked")
    public static Object GetResultByReflect(String ClazzName, String MethodName, Object... params) {
        Object result = null;
        try {
            Class<?> c[] = null;
            if (params != null) {// 存在
                int len = params.length;
                c = new Class[len];
                for (int i = 0; i < len; ++i) {
                    c[i] = params[i].getClass();
                }
            } else {
                result = "参数不能为空";
                return result;
            }
            //获取 数据查询对象  如果是dubbo服务 记得先 依赖
            Object proxy = SpringContextHolder.getBean("exportProxyService");
            Method method = ReflectionUtils.findMethod(proxy.getClass(), ClazzName);
            Object obj = method.invoke(proxy);
            if (obj == null) {
                result = "对象不存在，类名：" + ClazzName;
                return result;
            }
            //获取反射方法
            method = obj.getClass().getMethod(MethodName, c);
            method.setAccessible(true);
            Page<Object> objResult = (Page<Object>) method.invoke(obj, params);
            if (objResult.getRecords() != null && !objResult.getRecords().isEmpty()) {
                result = objResult.getRecords();
            } else {
                result = "没有查询到数据";
            }

        } catch (Exception e) {
            logger.error("反射调用异常！类名：" + ClazzName + ",方法：" + MethodName + ",参数：" + params);
            result = "反射调用异常！类名：" + ClazzName + ",方法：" + MethodName + ",参数：" + params;
        }
        return result;
    }
}
