package io.platform.sms.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_SMS_LOG")
@KeySequence(value="SEQ_SYS",clazz=String.class)
public class SysSmsLog extends Model<SysSmsLog>  implements Serializable{
private static final long serialVersionUID = 5454155825314635342L;


    /**
     * 主键       db_column: id
     */
    @TableId(value="ID", type= IdType.INPUT)
    private String id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 操作人       db_column: user_id
     */
    @TableField("USER_ID")
    private Long userId;

    /**
     * 必填参数。发送内容（1-500 个汉字）UTF-8编码       db_column: content
     */
    @TableField("CONTENTS")
    private String content;

    /**
     * 必填参数。手机号码。多个以英文逗号隔开       db_column: mobile
     */
    @TableField("MOBILE")
    private String mobile;

    /**
     * 可选参数。发送时间，填写时已填写的时间发送，不填时为当前时间发送       db_column: stime
     */
    @TableField("STIME")
    private java.util.Date stime;

    /**
     * 必填参数。用户签名       db_column: sign
     */
    @TableField("SIGN")
    private String sign;

    /**
     * 必填参数。固定值 pt       db_column: type
     */
    @TableField("TYPE")
    private String type;

    /**
     * templateId       db_column: template_id
     */
    @TableField("TEMPLATE_ID")
    private String templateId;

    /**
     * 可选参数。扩展码，用户定义扩展码，只能为数字       db_column: extno
     */
    @TableField("EXTNO")
    private String extno;

    /**
     * 1成功 0失败       db_column: send_status
     */
    @TableField("SEND_STATUS")
    private Integer sendStatus;

    /**
     * 发送编号       db_column: send_id
     */
    @TableField("SEND_ID")
    private String sendId;

    /**
     * 无效号码数       db_column: invalid_num
     */
    @TableField("INVALID_NUM")
    private Integer invalidNum;

    /**
     * 成功提交数       db_column: success_num
     */
    @TableField("SUCCESS_NUM")
    private Integer successNum;

    /**
     * 黑名单数       db_column: black_num
     */
    @TableField("BLACK_NUM")
    private Integer blackNum;

    /**
     * 返回消息       db_column: return_msg
     */
    @TableField("RETURN_MSG")
    private String returnMsg;
    @TableField("SEND_TIME")
    private Long sendTime;
//columns END

}
