package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("SYS_FILE")
@KeySequence(value = "SEQ_SYS", clazz = Long.class)
public class SysFile extends Model<SysFile> implements Serializable {
    private static final long serialVersionUID = 5454155825314635342L;


    /**
     * id       db_column: ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    /**
     * 文件名       db_column: FILE_NAME
     */
    @TableField("FILE_NAME")
    private String fileName;

    /**
     * 访问URL       db_column: FILE_URL
     */
    @TableField("FILE_URL")
    private String fileUrl;

    /**
     * 文件类型，后缀名       db_column: FILE_TYPE
     */
    @TableField("FILE_TYPE")
    private String fileType;

    /**
     * 文件类型1本地，2七牛，3QQ,4阿里，5百度       db_column: FILE_STORE_TYPE
     */
    @TableField("FILE_STORE_TYPE")
    private Long fileStoreType;

    /**
     * createTime       db_column: CREATE_TIME
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;

    /**
     * createUserId       db_column: CREATE_USER_ID
     */
    @TableField("CREATE_USER_ID")
    private Long createUserId;

    /**
     * createUsername       db_column: CREATE_USERNAME
     */
    @TableField("CREATE_USERNAME")
    private String createUsername;

    /**
     * filePath       db_column: FILE_PATH
     */
    @TableField("FILE_PATH")
    private String filePath;

    /**
     * fileSize       db_column: FILE_SIZE
     */
    @TableField("FILE_SIZE")
    private Long fileSize;

    /**
     * 宽度       db_column: FILE_WIDTH
     */
    @TableField("FILE_WIDTH")
    private Long fileWidth;

    /**
     * 高度       db_column: FILE_HEIGHT
     */
    @TableField("FILE_HEIGHT")
    private Long fileHeight;

    /**
     * 远程存储会有一个sn号       db_column: FILE_KEY
     */
    @TableField("FILE_KEY")
    private String fileKey;

    /**
     * 用途 1用户， 2商品， 3品牌       db_column: USE_TYPE
     */
    @TableField("USE_TYPE")
    private Long useType;
//columns END

}
