package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("SYS_MENU")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysMenu extends Model<SysMenu> implements Serializable{
private static final long serialVersionUID = 5554155825314635341L;


    /**
     * menuId       db_column: menu_id
     */
    @TableId(value="MENU_ID", type= IdType.INPUT)
    private Long menuId;


    @Override
    protected Serializable pkVal() {
        return this.menuId;
    }

    /**
     * 父菜单ID，一级菜单为0       db_column: parent_id
     */
    @TableField("PARENT_ID")
    private Long parentId;

    /**
     * 菜单名称       db_column: name
     */
    @TableField("NAME")
    private String name;

    /**
     * 菜单URL       db_column: url
     */
    @TableField("URL")
    private String url;

    /**
     * 授权(多个用逗号分隔，如：user:list,user:create)       db_column: perms
     */
    @TableField("PERMS")
    private String perms;

    /**
     * 类型   0：目录   1：菜单   2：按钮       db_column: type
     */
    @TableField("TYPE")
    private Integer type;

    /**
     * 菜单图标       db_column: icon
     */
    @TableField("ICON")
    private String icon;

    /**
     * 排序       db_column: order_num
     */
    @TableField("ORDER_NUM")
    private Integer orderNum;
//columns END
    /**
     * 父菜单名称
     */
    @TableField(exist=false)
    private String parentName;
    /**
     * ztree属性
     */
    @TableField(exist=false)
    private Boolean open;

    @TableField(exist=false)
    private List<?> list;
}
