package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("SYS_USER")
@KeySequence(value="SEQ_SYS",clazz=Long.class)
public class SysUser extends Model<SysUser>  implements Serializable{
private static final long serialVersionUID = 5454155825314635348L;


    /**
     * userId       db_column: user_id
     */
    @TableId(value="USER_ID", type= IdType.INPUT)
    private Long userId;


    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    /**
     * 用户名       db_column: username
     */
    @TableField("USERNAME")
    private String username;

    /**
     * 密码       db_column: password
     */
    @TableField("PASSWORD")
    private String password;

    /**
     * 盐       db_column: salt
     */
    @TableField("SALT")
    private String salt;

    /**
     * 邮箱       db_column: email
     */
    @TableField("EMAIL")
    private String email;

    /**
     * 手机号       db_column: mobile
     */
    @TableField("MOBILE")
    private String mobile;

    /**
     * 状态  0：禁用   1：正常       db_column: status
     */
    @TableField("STATUS")
    private Integer status;

    /**
     * 创建者ID       db_column: create_user_id
     */
    @TableField("CREATE_USER_ID")
    private Long createUserId;

    /**
     * 创建时间       db_column: create_time
     */
    @TableField("CREATE_TIME")
    private java.util.Date createTime;

    /**
     * 角色ID列表
     */
    @TableField(exist=false)
    private List<Long> roleIdList;
//columns END

}
