
package io.platform.sys.biz.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.platform.sys.biz.entity.SysRoleMenu;
import io.platform.sys.biz.mapper.SysRoleMenuMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


@Service("sysRoleMenuService")
public class SysRoleMenuService extends ServiceImpl<SysRoleMenuMapper, SysRoleMenu> {

    @Transactional(rollbackFor = Exception.class)
    public boolean saveOrUpdate(Long roleId, List<Long> menuIdList) {
        //先删除角色与菜单关系
        baseMapper.deleteBatch(new Long[]{roleId});

        if(menuIdList.size() == 0){
            return false;
        }

        //保存角色与菜单关系
        List<SysRoleMenu> list = new ArrayList<>(menuIdList.size());
        for(Long menuId : menuIdList){
            SysRoleMenu sysRoleMenuEntity = new SysRoleMenu();
            sysRoleMenuEntity.setMenuId(menuId);
            sysRoleMenuEntity.setRoleId(roleId);

            list.add(sysRoleMenuEntity);
        }
        return  this.saveBatch(list);
    }

    public List<Long> queryMenuIdList(Long roleId) {
        return baseMapper.queryMenuIdList(roleId);
    }

    public int deleteBatch(Long[] roleIds) {
        return baseMapper.deleteBatch(roleIds);
    }

    public int deleteBatchByRoleId(Long[] roleIds) {
        return baseMapper.deleteBatch(roleIds);
    }

    public void deleteByMap(Map map) {
        baseMapper.deleteByMap(map);
    }

    public List<SysRoleMenu> selectByMap(Map<String, Object> map) {
        return baseMapper.selectByMap(map);
    }
}
