
package io.platform.sys.biz.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.platform.sys.biz.entity.SysUserRole;
import io.platform.sys.biz.mapper.SysUserRoleMapper;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Service("sysUserRoleService")
public class SysUserRoleService extends ServiceImpl<SysUserRoleMapper, SysUserRole> {

    public boolean saveOrUpdate(Long userId, List<Long> roleIdList) {
        //先删除用户与角色关系
        Map<String,Object> map = new HashMap<>();
        map.put("user_id", userId);
        this.deleteByMap(map);

        if(roleIdList == null || roleIdList.size() == 0){
            return false;
        }

        //保存用户与角色关系
        List<SysUserRole> list = new ArrayList<>(roleIdList.size());
        for(Long roleId : roleIdList){
            SysUserRole sysUserRoleEntity = new SysUserRole();
            sysUserRoleEntity.setUserId(userId);
            sysUserRoleEntity.setRoleId(roleId);

            list.add(sysUserRoleEntity);
        }
       return this.saveBatch(list);
    }

    private void deleteByMap(Map<String, Object> map) {
        baseMapper.deleteByMap(map);
    }

    public int deleteBatch(Long[] roleIds) {
        return baseMapper.deleteBatch(roleIds);
    }

    public List<Long> queryRoleIdList(Long userId) {
        return baseMapper.queryRoleIdList(userId);
    }

    public List<SysUserRole> selectByMap(Map<String, Object> map) {
        return baseMapper.selectByMap(map);
    }
}
